package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "care_vital_signs_params")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class VitalSignsParamsDO implements Serializable {

    /**
     * null
     */
    @Column(name = "id")
    @ApiModelProperty(value = "null", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * null
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "null", required = false)
    private Long createTime;
    /**
     * care_vital_signs_groud表的主键
     */
    @Column(name = "group_id")
    @ApiModelProperty(value = "care_vital_signs_groud表的主键", required = false)
    private Integer groupId;
    /**
     * 冗余体征名称
     */
    @Column(name = "group_name")
    @ApiModelProperty(value = "冗余体征名称", required = false)
    private String groupName;
    /**
     * 参数名称。比如：收缩压、舒张压、餐前血糖等
     */
    @Column(name = "param_name")
    @ApiModelProperty(value = "参数名称。比如：收缩压、舒张压、餐前血糖等", required = false)
    private String paramName;
    /**
     * 输入类型。小数、整数
     */
    @Column(name = "input_type")
    @ApiModelProperty(value = "输入类型。小数、整数", required = false)
    private String inputType;
    /**
     * 输入小值限制的起始输入
     */
    @Column(name = "min_limit_start")
    @ApiModelProperty(value = "输入小值限制的起始输入", required = false)
    private Double minLimitStart;
    /**
     * 输入小值限制的标准输入
     */
    @Column(name = "min_limit_stand")
    @ApiModelProperty(value = "输入小值限制的标准输入", required = false)
    private Double minLimitStand;
    /**
     * 输入小值限制的结束输入
     */
    @Column(name = "min_limit_end")
    @ApiModelProperty(value = "输入小值限制的结束输入", required = false)
    private Double minLimitEnd;
    /**
     * 输入大值限制的起始输入
     */
    @Column(name = "max_limit_start")
    @ApiModelProperty(value = "输入大值限制的起始输入", required = false)
    private Double maxLimitStart;
    /**
     * 输入大值限制的标准输入
     */
    @Column(name = "max_limit_stand")
    @ApiModelProperty(value = "输入大值限制的标准输入", required = false)
    private Double maxLimitStand;
    /**
     * 输入大值限制的结束输入
     */
    @Column(name = "max_limit_end")
    @ApiModelProperty(value = "输入大值限制的结束输入", required = false)
    private Double maxLimitEnd;
    /**
     * 排序
     */
    @Column(name = "sort")
    @ApiModelProperty(value = "排序", required = false)
    private Integer sort;
    /**
     * null
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "null", required = false)
    private String unionId;


    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }


    public Integer getGroupId() {
        return groupId;
    }

    public void setGroupId(Integer groupId) {
        this.groupId = groupId;
    }


    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }


    public String getParamName() {
        return paramName;
    }

    public void setParamName(String paramName) {
        this.paramName = paramName;
    }


    public String getInputType() {
        return inputType;
    }

    public void setInputType(String inputType) {
        this.inputType = inputType;
    }


    public Double getMinLimitStart() {
        return minLimitStart;
    }

    public void setMinLimitStart(Double minLimitStart) {
        this.minLimitStart = minLimitStart;
    }


    public Double getMinLimitStand() {
        return minLimitStand;
    }

    public void setMinLimitStand(Double minLimitStand) {
        this.minLimitStand = minLimitStand;
    }


    public Double getMinLimitEnd() {
        return minLimitEnd;
    }

    public void setMinLimitEnd(Double minLimitEnd) {
        this.minLimitEnd = minLimitEnd;
    }


    public Double getMaxLimitStart() {
        return maxLimitStart;
    }

    public void setMaxLimitStart(Double maxLimitStart) {
        this.maxLimitStart = maxLimitStart;
    }


    public Double getMaxLimitStand() {
        return maxLimitStand;
    }

    public void setMaxLimitStand(Double maxLimitStand) {
        this.maxLimitStand = maxLimitStand;
    }


    public Double getMaxLimitEnd() {
        return maxLimitEnd;
    }

    public void setMaxLimitEnd(Double maxLimitEnd) {
        this.maxLimitEnd = maxLimitEnd;
    }


    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }

}
